Bug 71846 - New port: graphics/libpano12 - program to mount panorama pictures - also a dependency to hugin
New port: graphics/libpano12 - program to mount panorama pictures - also a de...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-18 07:20 UTC by cartola
Modified: 2004-12-15 12:51 UTC (History)
0 users

See Also:


Attachments
file.shar (4.61 KB, text/plain)
2004-09-18 07:20 UTC, cartola
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cartola 2004-09-18 07:20:07 UTC
This is a port of panorama-tools, a set of tools to make panoramic
images from independent pictures.
Comment 1 gaoj 2004-09-19 07:45:11 UTC
The patches by Max Lyon (the author of the world's first giga-pixel 
digital photo) should be a nice add to this port:

http://www.tawbaware.com/maxlyons/pano12ml.htm

It fixes some bugs and optimizes for memory usage.
Comment 2 vs freebsd_committer 2004-12-14 10:51:32 UTC
State Changed
From-To: open->feedback

- Please use portlint, it will tell you that you must use tabs, 
not spaces 
- Please use MASTER_SITES=${MASTER_SITE_SOURCEFORGE} / 
MASTER_SITE_SUBDIR=panotools 
- USE_BZIP=yes since that distfile is smaller 
- LDCONFIG_DIRS already contains the right value! 
- You could use %%DOCSDIR%% in pkg-plist 
- Why don't you use the included "configure"? 
- Hardcoded CC/CFLAGS in your custom makefile 
- -fPIC doesn't look right 
- trivial upgrade to recent version 2.7.0.8 
- Please use bsd.java.mk v2.0, i.e. 
USE_JAVA=yes 
JAVA_VERSION=1.3+ 
- Missing file/dependency? PTDialogs.c:35:21: sys_x11.h: No such file or directory 
Looks like a typo for sys_X11. Why do you only want to build 
the ANSI-version anyway? 

Please review my modifications at 
http://www.foldr.org/~stolz/FreeBSD/libpano12.Makefile 

You might want to surgically replace parts of Makefile.* with 'patch' to 
limit what will actually be built instead of your hand-crafted Makefile. 
Better yet: find out why it's falling over at all -- is there a way to 
disable X11 instead of setting -D__ANSI__? 

Cheers, 
Volker
Comment 3 Edwin Groothuis freebsd_committer 2004-12-15 12:51:49 UTC
State Changed
From-To: feedback->closed

Committed, thanks!